Skip to main content
GET
/
account
/
{id}
/
daily_balance
List Daily Balances
curl --request GET \
  --url https://api.treasuryprime.com/account/{id}/daily_balance \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.treasuryprime.com/account/{id}/daily_balance"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.treasuryprime.com/account/{id}/daily_balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "balance": "255281.00",
      "current_balance": "",
      "date": "2024-02-01"
    },
    {
      "balance": "253361.00",
      "current_balance": "",
      "date": "2022-02-02"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Account ID

Query Parameters

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size daily_balance elements, starting after the daily_balance described by page_cursor. If no more daily_balances are available, the resulting list will be empty.

data
object[]